Bug 2104552

Summary: kube-controller-manager operator 4.11.0-rc.0 degraded on disabled monitoring stack
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: kube-controller-managerAssignee: Filip Krepinsky <fkrepins>
Status: CLOSED ERRATA QA Contact: zhou ying <yinzhou>
Severity: high Docs Contact:
Priority: high    
Version: 4.11CC: ariobolo, cfergeau, dhughes, jchaloup, maszulik, mfojtik, prkumar, wking
Target Milestone: ---   
Target Release: 4.11.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-08-10 11:20:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2103940    
Bug Blocks:    

Description OpenShift BugZilla Robot 2022-07-06 15:35:48 UTC
+++ This bug was initially created as a clone of Bug #2103940 +++

Created attachment 1894658 [details]
must-gather

Description of problem:

Created a single node cluster with monitoring stack disabled, now the kube-controller-manager operator shows degraded state due to dependency with thanos-querier 

Version-Release number of selected component (if applicable):

4.11.0-rc.0


Actual results:

```bash
[cloud-user@rhel-crcqe /]$ oc get co
NAME                                       VERSION       AVAILABLE   PROGRESSING   DEGRADED   SINCE   MESSAGE
authentication                             4.11.0-rc.0   True        False         False      65m     
config-operator                            4.11.0-rc.0   True        False         False      46h     
console                                    4.11.0-rc.0   True        False         False      66m     
dns                                        4.11.0-rc.0   True        False         False      71m     
etcd                                       4.11.0-rc.0   True        False         False      46h     
image-registry                             4.11.0-rc.0   True        False         False      66m     
ingress                                    4.11.0-rc.0   True        False         False      46h     
kube-apiserver                             4.11.0-rc.0   True        False         False      46h     
kube-controller-manager                    4.11.0-rc.0   True        False         True       46h     GarbageCollectorDegraded: error fetching rules: Get "https://thanos-querier.openshift-monitoring.svc:9091/api/v1/rules": dial tcp: lookup thanos-querier.openshift-monitoring.svc on 10.217.4.10:53: no such host
kube-scheduler                             4.11.0-rc.0   True        False         False      46h     
machine-api                                4.11.0-rc.0   True        False         False      46h     
machine-approver                           4.11.0-rc.0   True        False         False      46h     
machine-config                             4.11.0-rc.0   True        False         False      46h     
marketplace                                4.11.0-rc.0   True        False         False      46h     
network                                    4.11.0-rc.0   True        False         False      46h     
node-tuning                                4.11.0-rc.0   True        False         False      66m     
openshift-apiserver                        4.11.0-rc.0   True        False         False      65m     
openshift-controller-manager               4.11.0-rc.0   True        False         False      67m     
openshift-samples                          4.11.0-rc.0   True        False         False      46h     
operator-lifecycle-manager                 4.11.0-rc.0   True        False         False      46h     
operator-lifecycle-manager-catalog         4.11.0-rc.0   True        False         False      46h     
operator-lifecycle-manager-packageserver   4.11.0-rc.0   True        False         False      71m     
service-ca                                 4.11.0-rc.0   True        False         False      46h     
```

--- Additional comment from prkumar on 2022-07-05 11:10:46 UTC ---

Looking at the commits https://github.com/openshift/cluster-kube-controller-manager-operator/pull/623 is what causes it now. This is now blocking CRC because monitoring stack is disabled by default using the CVO overrides https://github.com/code-ready/snc/blob/master/cvo-overrides.yaml

Comment 3 zhou ying 2022-07-11 03:58:07 UTC
I could reproduce the issue with 4.11.0-rc.0, but can't reproduce with latest payload: 4.11.0-0.nightly-2022-07-08-231743:



oc get co kube-controller-manager
NAME                      VERSION       AVAILABLE   PROGRESSING   DEGRADED   SINCE   MESSAGE
kube-controller-manager   4.11.0-rc.0   True        False         True       50m     GarbageCollectorDegraded: error querying alerts: Post "https://thanos-querier.openshift-monitoring.svc:9091/api/v1/query": dial tcp 172.30.26.108:9091: connect: connection refused


[root@localhost roottest]# oc get pods
No resources found in openshift-monitoring namespace.
[root@localhost roottest]# oc get co kube-controller-manager
NAME                      VERSION                              AVAILABLE   PROGRESSING   DEGRADED   SINCE   MESSAGE
kube-controller-manager   4.11.0-0.nightly-2022-07-08-231743   True        False         False      98m     



so move to verified status.

Comment 6 errata-xmlrpc 2022-08-10 11:20:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069